<ng-container *ngIf="vm$ | async as vm">
  <div
    [ngClass]="[
      'e-walidata-filter-assign-business-field',
      jds.d('flex'),
      jds.alignItems('center')
    ]"
  >
    <jds-bi-hosted-dropdown
      [(open)]="isOpen"
      [ngClass]="[jds.w('full')]"
      [jdsBiDropdownLimitWidth]="'custom'"
      [jdsBiDropdownMinWidth]="400"
      [jdsBiDropdownMaxHeight]="410"
      [content]="dropdown"
    >
      <button
        [ngClass]="[
          jds.d('flex'),
          jds.alignItems('center'),
          jds.justifyContent('between'),
          jds.w('full'),
          jds.py(5),
          jds.px(12)
        ]"
        [colorScheme]="'gray'"
        [variant]="'outline'"
        jdsBiButton
        type="button"
      >
        <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
          <span [ngClass]="[jds.me(8)]">Filter</span>
          <ng-container *ngTemplateOutlet="iconBarsFilter" />
        </div>
      </button>
    </jds-bi-hosted-dropdown>

    <ng-template #dropdown>
      <div [ngClass]="[jds.p(22)]">
        <div
          [ngClass]="[
            jds.d('flex'),
            jds.alignItems('center'),
            jds.justifyContent('between'),
            jds.mb(8)
          ]"
        >
          <span [ngClass]="[jds.fs(16), jds.fw('bold')]">Urusan</span>
          <button
            *ngIf="vm.filterBusinessField.length > 0"
            [colorScheme]="'red'"
            [variant]="'link'"
            (click)="onClearFilter()"
            jdsBiButton
          >
            Hapus filter
          </button>
        </div>

        <div
          [ngClass]="[jds.mb(12)]"
          jdsBiInputGroup
          variant="element"
        >
          <input
            #search
            [value]="filterSearch"
            [ngClass]="[jds.pe(100)]"
            [colorScheme]="colorScheme"
            (keyup.enter)="onSearch(search.value)"
            jdsBiInput
            type="text"
            placeholder="Cari urusan"
          />
          <jds-bi-input-right-element>
            <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
              <jds-bi-icon
                *ngIf="filterSearch"
                [ngClass]="[jds.me(8)]"
                [color]="jdsBiColor.gray['500']"
                [style.cursor]="'pointer'"
                (click)="onClearSearch()"
                name="circle-xmark"
              />
              <button
                [colorScheme]="colorScheme"
                [isIconOnly]="true"
                (click)="onSearch(search.value)"
                jdsBiButton
                variant="solid"
              >
                <jds-bi-icon name="magnifying-glass" />
              </button>
            </div>
          </jds-bi-input-right-element>
        </div>

        <jds-bi-scrollbar [ngClass]="[jds.maxH(285)]">
          <ng-container *ngIf="vm.listBusinessField as listBusinessField">
            <ng-container *ngIf="listBusinessField.status === 'loading'">
              <app-skeleton-filter />
            </ng-container>

            <ng-container *ngIf="listBusinessField.status === 'success'">
              <ng-container *ngIf="dataTemp.length > 0">
                <ul
                  [ngClass]="[
                    jds.ps(0),
                    jds.mb(0),
                    jds.list('none'),
                    jds.h('auto')
                  ]"
                >
                  <li
                    *ngFor="let row of dataTemp; let i = index"
                    [ngClass]="[jds.mb(10), jds.pe(15)]"
                  >
                    <div [ngClass]="[jds.formCheck]">
                      <input
                        id="checkbox-business-field-{{ i }}"
                        [(ngModel)]="row.checked"
                        [ngClass]="[jds.formCheckInput]"
                        (change)="
                          onFilter(
                            row.kode_bidang_urusan,
                            $event.target.checked
                          )
                        "
                        type="checkbox"
                      />
                      <label
                        [ngClass]="[jds.formCheckLabel]"
                        for="checkbox-business-field-{{ i }}"
                      >
                        <div
                          [ngClass]="[jds.d('flex')]"
                          [style.flexShrink]="0"
                        >
                          <div [ngClass]="[jds.me(4)]">
                            <span
                              [ngClass]="[jds.fs(14)]"
                              [colorScheme]="'gray'"
                              [variant]="'subtle'"
                              jdsBiBadge
                            >
                              {{ row.kode_bidang_urusan }}
                            </span>
                          </div>
                          <span [ngClass]="[jds.leading(23)]">
                            {{ row.nama_bidang_urusan }}
                          </span>
                        </div>
                      </label>
                    </div>
                  </li>
                </ul>
              </ng-container>

              <ng-container *ngIf="dataTemp.length === 0">
                Tidak ada Data.
              </ng-container>
            </ng-container>
          </ng-container>
        </jds-bi-scrollbar>
      </div>
    </ng-template>
  </div>
</ng-container>

<ng-template #iconBarsFilter>
  <svg
    width="24"
    height="24"
    viewBox="0 0 24 24"
    fill="currentColor"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path d="M10 18H14V16H10V18ZM3 6V8H21V6H3ZM6 13H18V11H6V13Z" />
  </svg>
</ng-template>
